Jan 23, 2008

linux di qua linux di la

Nei giorni scorsi s'e' diffuso il panico :-) tra gli utenti linux in seguito a un aggiornamento delle librerie X11 che ha causato il blocco di diverse applicazioni, tra cui aMule. A quanto pare, l'upgrade si "dimentica" di aggiornare un link.
Cercando su Google si trovano lunghe discussioni in svariati forum, dove si consigliano le seguenti soluzioni:
- aggiornare nuovamente X11, per i sistemi in cui l'upgrade e' stato corretto;
- downgradare X11 alla versione precedente, se possibile attraverso il package manager del proprio sistema
- aggiungere alcune opzioni (di cui nessuno spiega in dettaglio il significato) al file xorg.conf.
Naturalmente, senza l'aiuto di Internet, il sistema non offre messaggi di errore utili.
A parte forse la prima (si', ma... l'upgrade e' disponibile per la vostra distribuzione?), le altre opzioni sono al di fuori delle capacita' dell'utente medio.
La gestione degli upgrade e della installazione/disinstallazione dei pacchetti software e' un altro utile punto di confronto tra Linux e Windows. Se da un lato il meccanismo del registry usato da Windows e delle procedure di disinstallazione malfatte portano velocemente al rallentamento del sistema, d'altra parte l'interfaccia di gestione e' alla portata di praticamente tutti gli utenti, e nonostante spesso i messaggi di errore siano piuttosto criptici, sono sempre piu' utili dell'invito che mi ha fatto ieri il mio xterm: debuggare le librerie gtk.

No comments: